<template>

    <v-container>
      <v-row>
        <v-col cols="12">
          <h3>Sign In</h3>
          <v-form>
            <v-row>
              <v-col cols="12">
                <v-text-field label="E-mail" hide-details="auto" v-model="login" class="email-field"/>
              </v-col>
            </v-row>
            <v-row>
              <v-col cols="12">
                <v-text-field label="Password" type="password" v-model="password" class="password-field"/>
              </v-col>
            </v-row>
            <v-btn color="primary" @click="tryLogIn">Log In</v-btn>
          </v-form>
        </v-col>
      </v-row>
      <v-snackbar v-model="displayError">
        {{error}}
        <template v-slot:action>
          <v-btn @click="displayError = false;" text>Close</v-btn>
        </template>
      </v-snackbar>
    </v-container>
</template>

<script>
export default {
  name: "SignInForm",
  data() {
    return {
      login: '',
      password: '',
      error: null,
      displayError: false,
    }
  },
  methods: {
    tryLogIn() {
      this.$store.dispatch('login', {login: this.login, password: this.password})
      .then(result => {
        if(result.status === 'ERROR') {
          this.error = result.message;
          this.displayError = true;
          setTimeout(() => {
            this.displayError = false
          }, 3000);
        } else {
          location.assign('/')
        }
      })
    }
  }
}
</script>
